<androidx.coordinatorlayout.widget.CoordinatorLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/rootCoordinator"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F6F7FB"
    tools:context=".ui.home.myotherpages.PersonalSettings">
    <!-- 内容 -->
    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fillViewport="true"
        android:overScrollMode="never">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="16dp"
            android:background="#F8F8F8"
            android:orientation="vertical">
            <!-- 标题和返回 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:gravity="center_vertical">
                <!-- 返回按钮 -->
                <FrameLayout
                    android:id="@+id/iv_close"
                    android:layout_width="46dp"
                    android:layout_height="46dp">
                    <ImageView
                        android:layout_width="13dp"
                        android:layout_height="13dp"
                        android:layout_gravity="center"
                        android:src="@drawable/more_icons"
                        android:rotation="180"
                        android:scaleType="fitCenter" />
                </FrameLayout>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:layout_marginEnd="49dp"
                    android:gravity="center"
                    android:textStyle="bold"
                    android:text="Settings"
                    android:textColor="#1B1F1A"
                    android:textSize="16sp" />
            </LinearLayout>

            <!-- 头像 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="130dp"
                android:padding="16dp"
                android:gravity="center"
                android:orientation="horizontal">
                <de.hdodenhof.circleimageview.CircleImageView
                    android:id="@+id/avatar"
                    android:layout_width="88dp"
                    android:layout_height="88dp"
                    android:src="@drawable/default_avatar"
                    android:elevation="1dp"
                    android:clickable="true"
                    android:focusable="true"/>
                
                <ImageView
                    android:layout_width="18dp"
                    android:layout_height="18dp"
                    android:layout_marginStart="-22dp"
                    android:layout_marginTop="34dp"
                    android:elevation="2dp"
                    android:src="@drawable/avatar_modification"
                    android:scaleType="centerCrop"/>
            </LinearLayout>
        
            <!-- 修改 -->
            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:textStyle="bold"
                android:text="Modify"
                android:textColor="#1B1F1A"
                android:textSize="18sp" />

            <!-- 其他设置 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="24dp"
                android:background="@drawable/settings"
                android:orientation="vertical">
                <!-- Nickname -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="64dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="16dp"
                        android:text="Nickname"
                        android:textColor="#1B1F1A"
                        android:textStyle="bold"
                        android:textSize="16sp" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_weight="1"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">
                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:text="Nickname"
                            android:gravity="end"
                            android:textColor="#1B1F1A"
                            android:textStyle="bold"
                            android:layout_weight="1"
                            android:textSize="16sp" />

                        <ImageView
                            android:layout_width="9dp"
                            android:layout_height="13dp"
                            android:tint="#AFAFAF"
                            android:layout_marginStart="12dp"
                            android:layout_marginEnd="16dp"
                            android:src="@drawable/more_icons" />   
                    </LinearLayout>
                </LinearLayout>

                <!-- Gender -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="64dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="16dp"
                        android:text="Gender"
                        android:textColor="#1B1F1A"
                        android:textStyle="bold"
                        android:textSize="16sp" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_weight="1"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">
                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:text="Gender"
                            android:gravity="end"
                            android:textColor="#1B1F1A"
                            android:textStyle="bold"
                            android:layout_weight="1"
                            android:textSize="16sp" />

                        <ImageView
                            android:layout_width="9dp"
                            android:layout_height="13dp"
                            android:tint="#AFAFAF"
                            android:layout_marginStart="12dp"
                            android:layout_marginEnd="16dp"
                            android:src="@drawable/more_icons" />   
                    </LinearLayout>
                </LinearLayout>

                <!-- User ID -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="64dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="16dp"
                        android:text="User ID"
                        android:textColor="#1B1F1A"
                        android:textStyle="bold"
                        android:textSize="16sp" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_weight="1"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">
                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:text="88888888"
                            android:gravity="end"
                            android:textColor="#1B1F1A"
                            android:textStyle="bold"
                            android:layout_weight="1"
                            android:textSize="16sp" />

                        <ImageView
                            android:layout_width="14dp"
                            android:layout_height="14dp"
                            android:tint="#AFAFAF"
                            android:layout_marginStart="12dp"
                            android:layout_marginEnd="16dp"
                            android:src="@drawable/copy" />   
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>
            
            <TextView
                    android:layout_width="match_parent"
                    android:layout_height="63dp"
                    android:layout_marginTop="273dp"
                    android:layout_marginBottom="20dp"
                    android:gravity="center"
                    android:text="Log Out"
                    android:textColor="#FF0000"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    android:background="@drawable/settings"/>
        <!-- ````````` -->
         </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</androidx.coordinatorlayout.widget.CoordinatorLayout>